Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000221KdenliveUser Interfacepublic2008-10-18 23:162008-11-12 22:22
Reporterdoitux 
Assigned To 
PrioritynormalSeveritycrashReproducibilitysometimes
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionRecent git 
Target Version0.7.0Fixed in Version0.7.0 
Summary0000221: crash when open a project if another loaded project is already open
DescriptionBecause i have seen some lines like this in bt:
0000038 0xb754979a in QTabBar::insertTab () from /usr/lib/libQtGui.so.4
0000039 0xb754c0d7 in QTabWidget::insertTab () from /usr/lib/libQtGui.so.4
0000040 0xb754c20a in QTabWidget::addTab () from /usr/lib/libQtGui.so.4
0000041 0x080b616f in MainWindow::doOpenFile (this=0x82eb738, url=@0xbfab40a8, stale=0x0)

I think following info could be usefull for debugging this issue.

Because i recognized some random stability issues when selecting "open projects in new tabs" i DESELECT this option. BTW: sometimes i've seen that kdenlive opens another projects in a new tab anyway.

But now the bug:
1. start kdenlive --> open a saved project
2. change something in this project (e.g. delete "fade out" audio effect on a clip)
3. DONT SAVE CHANGES
4. click "file" --> "open" and select another saved project

The behavoir is diffrent sometimes.

The first attachment shows the crash directly after selecting the second project file like (4.).

The second attachment i will upload will show the crash after the dialog "do you want to save current changes" appears and i select "dont save"

Sometimes the second project loading works fine and just if i do changes in the second project and dont save and try to load the first one again the crash appears.
TagsNo tags attached.
Build/Install Method
Attached Filestxt file icon debug_log_loadAnotherProject.txt [^] (49,888 bytes) 2008-10-18 23:16 [Show Content]
txt file icon debug_log_loadAnotherProject_dontSaveOldProject.txt [^] (67,475 bytes) 2008-10-18 23:16 [Show Content]

- Relationships

-  Notes
(0000448)
doitux (updater)
2008-10-18 23:23

Playing around with loading and reloading i recognized that it is not necessary to save changes to reproduce crashes. Sometimes it crashes just when i reload 2 second project. Sometimes it appears but when loading the 5th project.
(0000455)
madsdyd (administrator)
2008-10-19 11:00

Fixed in revision 2486; I was able to reproduce this issue in 2482, but not in 2486. If you can still reproduce, please reopen bug.

- Issue History
Date Modified Username Field Change
2008-10-18 23:16 doitux New Issue
2008-10-18 23:16 doitux File Added: debug_log_loadAnotherProject.txt
2008-10-18 23:16 doitux File Added: debug_log_loadAnotherProject_dontSaveOldProject.txt
2008-10-18 23:23 doitux Note Added: 0000448
2008-10-19 11:00 madsdyd Note Added: 0000455
2008-10-19 11:00 madsdyd Status new => closed
2008-10-19 11:00 madsdyd Resolution open => fixed
2008-10-23 00:20 madsdyd Target Version => 0.7.0
2008-11-12 22:22 madsdyd Fixed in Version => 0.7.0


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker